GETGet events by event handle

Event types are globally identified by account address and a monotonically increasing creation_number (a number assigned per event type for each account). This API returns the list of events corresponding to that event type.

Path Parameters
addressstringrequired

The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.

event_handlestringrequired

The name of the event handle struct for querying a specific event handle.

field_namestringrequired

The name of the field within the event_handle that specifies the event to query.

Query Parameters
limitinteger

The maximum number of account modules to fetch. If no value is provided, the default page size is used.

startstring

A cursor that specifies the starting position for pagination.

This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.

Responses
Headers
X-APTOS-BLOCK-HEIGHTintegerrequired

Current block height of the chain

예: 0

X-APTOS-CHAIN-IDintegerrequired

Chain ID of the current chain

예: 0

X-APTOS-EPOCHintegerrequired

Current epoch of the chain

예: 0

X-APTOS-LEDGER-OLDEST-VERSIONintegerrequired

Oldest unpruned ledger version of the chain

예: 0

X-APTOS-LEDGER-TIMESTAMPUSECintegerrequired

Current timestamp of the chain

예: 0

X-APTOS-LEDGER-VERSIONintegerrequired

Current ledger version of the chain

예: 0

X-APTOS-OLDEST-BLOCK-HEIGHTintegerrequired

Oldest unpruned block height of the chain

예: 0

X-APTOS-CURSORstring

Cursor for the next page

예: string

X-APTOS-GAS-USEDinteger

Amount of gas actually used for transaction execution

예: 0

Body
versionstring

A unique sequence ID representing the transaction version, starting from 0 and incrementing sequentially. Transaction version is used to guarantee transaction execution order and to query the state of a specific transaction.

예: 3679250756

creation_numberstring

A field representing the creation number of the event handle.

account_addressstring

A field representing the address of the resource owner that emitted the event.

sequenceNumberstringrequired

A field representing the transaction occurrence order. Represents a 64-bit unsigned integer as a string.

예: 1234567890

typestringrequired

String representation of the Move type tag exposed in the transaction payload. Values:

  • bool
  • u8
  • u16,u32,u64,u128,u256
  • i8,i16,i32,i64,i128,i256
  • address
  • signer
  • vector: vector<{non-reference MoveTypeId}>
  • struct: {address}::{module_name}::{struct_name}::<{generic types}> Vector type value examples:
  • vector<u8>
  • vector<vector<u64>>
  • vector<0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>> Struct type value examples:
  • 0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
  • 0x1::account::Account Note:
  1. Whitespace should be ignored when comparing two struct tag ids.
  2. In URL paths, it must be encoded using url-encoding (AKA percent-encoding).
dataoneOfrequired
string 1string
number 2number
boolean 3boolean
object 4object
array 5any[]
X-API-KEY
RequestCU66
cURL
curl -X GET "https://aptos-mainnet.nodit.io/v1/accounts/0x1/events/0x1::account::Account/coin_register_events?limit=0&start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Header · 200
{
  "X-APTOS-BLOCK-HEIGHT": 0,
  "X-APTOS-CHAIN-ID": 0,
  "X-APTOS-EPOCH": 0,
  "X-APTOS-LEDGER-OLDEST-VERSION": 0,
  "X-APTOS-LEDGER-TIMESTAMPUSEC": 0,
  "X-APTOS-LEDGER-VERSION": 0,
  "X-APTOS-OLDEST-BLOCK-HEIGHT": 0,
  "X-APTOS-CURSOR": "string",
  "X-APTOS-GAS-USED": 0
}
Body · 200
[
  {
    "version": "221901708",
    "guid": {
      "creation_number": "0",
      "account_address": "0xacca9ab2d7e46a4ecc3171ab7d86306a6189311142c4ece077bd50327c34e5f6"
    },
    "sequence_number": "0",
    "type": "0x1::account::CoinRegisterEvent",
    "data": {
      "type_info": {
        "account_address": "0x1",
        "module_name": "0x6170746f735f636f696e",
        "struct_name": "0x4170746f73436f696e"
      }
    }
  },
  {
    "version": "223495356",
    "guid": {
      "creation_number": "0",
      "account_address": "0xacca9ab2d7e46a4ecc3171ab7d86306a6189311142c4ece077bd50327c34e5f6"
    },
    "sequence_number": "1",
    "type": "0x1::account::CoinRegisterEvent",
    "data": {
      "type_info": {
        "account_address": "0x4def3d3dee27308886f0a3611dd161ce34f977a9a5de4e80b237225923492a2a",
        "module_name": "0x636f696e",
        "struct_name": "0x54"
      }
    }
  }
]